--- vlc-trunk/modules/misc/logger.c	2005-09-04 02:32:51.000000000 +0200
+++ vlc-timestamp/modules/misc/logger.c	2005-09-04 02:35:56.000000000 +0200
@@ -29,6 +29,7 @@
 
 #include <errno.h>                                                 /* ENOMEM */
 #include <stdio.h>
+#include <time.h>
 
 #ifdef UNDER_CE
 #   define _IONBF 0x0004
@@ -313,11 +314,22 @@ static void FlushQueue( msg_subscription
     }
 }
 
+static void GetTimeStamp( char* psz_time, int i_length )
+{
+    time_t now;
+    now = time( NULL );
+    strftime( psz_time, i_length, "%d-%b-%Y %H:%M:%S ", localtime( &now ) );
+}
+
 static const char *ppsz_type[4] = { ": ", " error: ",
                                     " warning: ", " debug: " };
 
 static void TextPrint( const msg_item_t *p_msg, FILE *p_file )
 {
+    char sz_time[40];
+    GetTimeStamp( sz_time, sizeof( sz_time ) );
+
+    LOG_STRING( sz_time, p_file );
     LOG_STRING( p_msg->psz_module, p_file );
     LOG_STRING( ppsz_type[p_msg->i_type], p_file );
     LOG_STRING( p_msg->psz_msg, p_file );
